<!-- -*- mode: markdown; mode: flyspell -*- -->
# Changelog (exam-env-client)

## [0.4] - 2024-
### Changed
* renamed tools from lvatest-* to exam-env-*
* exam name is now written to /etc/motd

## [0.3.61] - 2024-06-11
### Changed
* prohibit config.sh to overwrite LVATEST_NAME

## [0.3.60] - 2024-05-13
### Added
* exam-env-impersonate
### Changed
* fixed reboot fix from 0.3.59

## [0.3.59] - 2024-05-13
### Changed
* fixed reboot when pressing ENTER during DELAY

## [0.3.58] - 2024-05-13
### Changed
* fixed illegal bb_msg call, triggered when netsec is not found
### Remvoved
* redudant --delete in rsync call

## [0.3.57] - 2023-05-09
### Changed
* resolv TESTENV_REMOTE_PATH remotely

## [0.3.56] - 2020-12-10
### Changed
* fixed rsync --delete

## [0.3.55] - 2020-09-30
### Changed
* add-users-detailed: fixed bug in group not exists error handling
* pre-rollout, rollout, common: cleanup admin user creation and fix \n bug

## [0.3.54] - 2020-02-27
### Changed
* disable lightdm.service if rclogind is selected

## [0.3.53] - 2020-01-09
### Changed
* support dashes in exam names

## [0.3.52] - 2019-11-21
### Changed
* fixed typo in lvatest-pre-rollout

## [0.3.51] - 2019-11-21
### Changed
* changed logging from bb_log to bb_msg

## [0.3.50] - 2019-11-21
### Changed
* lvatest-rollout: use rclogind if configured (cfg: LVATEST_USE_RCLOGIND)

## [0.3.49] - 2019-09-17
### Changed
* fix for lvatest_resolv_name to work while docker is running

## [0.3.48] - 2019-06-14
### Changed
* lvatest-check-delay now emits warning if host is in DELAY-EXCEPIONS
* fixed typo in lvatest-common (related to delay check)

# [0.3.47] - 2019-05-14
### Changed
* lvatest-status now informs about AUS status, too

## [0.3.46] - 2019-05-14
### Changed
* lvatest-status now calls sus with -q

## [0.3.45] - 2019-05-14
### Changed
* lvatest-status now informs about SUS status, too

## [0.3.44] - 2019-05-10
### Changed
* all timestamps in logs now use compact format
* timestamp in /var/local/lvatest-rollout-timestamp now uses compact format

## [0.3.43] - 2019-05-10
### Changed
* tuned output of lvatest-status -l

## [0.3.42] - 2019-05-09
### Changed
* lvatest-status is more verbose now

## [0.3.41] - 2019-05-09
### Changed
* lvatest-boottime now calls lvatest_squelch_console on clean exit, too

## [0.3.40] - 2019-05-09
### Added
+ lvatest-status
+ lvatest-common: lvatest_squelch_console which is used at delay(_forever)
+ lvatest-common: lvatest_get_pretty_state

## [0.3.39] - 2019-04-29
### Changed
* pre-rollout: fatal_hook was defined but unused, now using it

## [0.3.38] - 2019-03-05
### Changed
* make ssh calls to apps0 more robust
* lvatest-common.sh: fix really nasty sed bug modifying /etc/os-release

## [0.3.37] - 2019-01-16
### Changed
* log cosmetics

## [0.3.36] - 2019-01-14
### Changed
* fix wrong read call causing reboot loop

## [0.3.35] - 2019-01-14
### Changed
* exit tweaking for smooth rebooting

## [0.3.34] - 2019-01-14
### Changed
* lvatest_boottime: fixed bug where pre hook was called before sync
* better logging on startup

## [0.3.33] - 2019-01-14
### Changed
* lvatest_delay_forever now uses bb_finalize

## [0.3.32] - 2019-01-14
### Changed
* lvatest_delay_forever now reboots on keypress

## [0.3.31] - 2019-01-14
### Changed
* state files are now stored in /var/local instead of /run

## [0.3.30] - 2019-01-14
### Changed
* lvatest-pre-rollout: state is now first detected and then reset

## [0.3.29] - 2019-01-14
### Added
+ (pre)rollout and boottime now delay forever on error to prevent local logins
+ those scripts set error states if something fails
+ those scripts check now if the state is valid when starting
### Changed
* some log cosmetics

## [0.3.28] - 2019-01-11
### Changed
* cleanup of global state management

## [0.3.27] - 2019-01-11
### Changed
* lvatest-rollout now calls reboot with bb_exec

## [0.3.26] - 2019-01-11
### Changed
* changed bash-base funs to prefixed versions
* Makefile cleanup

## [0.3.25] - 2018-11-27
### Changed
* common: lvatest_rsync now tries for 5mins until giving up
* spec: hide uninstall warning on upgrade

## [0.3.24] - 2018-11-26
### Changed
* lvatest-collect now uses pixz to produce files with index

## [0.3.23] - 2018-10-18
### Changed
* yet another usb whitelist fix

## [0.3.22] - 2018-10-18
### Changed
* fix missing rm in lvatest-configure-usb-whitelist

## [0.3.21] - 2018-10-18
### Changed
* fixed comment typo in lvatest-configure-usb-whitelist (0.3.20 is broken)

## [0.3.20] - 2018-10-18
### Changed
* usb whitelisting now uses the included database
* usb whitelisting now works with multiple rule files
* usb whitelisting now enforces lockout (up to now it was only logging)

## [0.3.19] - 2018-07-04
### Added
+ now using sshd-user-filter-helper

## [0.3.18] - 2018-05-08
### Removed
- sbin/lvatest-status-feeder is now part of zkklabs-status-collector-client

## [0.3.17] - 2018-04-12
### Changed
* sbin/lvatest-add-users-detailed does not use username prefix anymore

## [0.3.16] - 2018-04-12
### Changed
* spec: fixed permissions of sbin/lvatest-xsession-wrapper

## [0.3.15] - 2018-04-12
### Added
+ new lightdm hook: lightdm-session-start-hook.sh

## [0.3.14] - 2018-04-12
### Added
+ lvatest-boottime now updates firewall rules

## [0.3.13] - 2018-04-12
### Changed
* lvatest-pre-rollout now creates backgrounds dir

## [0.3.12] - 2018-04-11
### Changed
* traps and exit updated to work with bash-bash 0.3

## [0.3.11] - 2018-04-10
### Changed
* sbin/lvatest-add-users-detailed got better logging

## [0.3.10] - 2018-04-10
### Changed
* fixed typo in lvatest-status-feeder

## [0.3.9] - 2018-04-10
### Added
+ added sbin/lvatest-status-feeder

## [0.3.8] - 2018-04-04
### Added
+ added default usb-whitelist rules for zkklabs

### Changed
* better logging in sbin/lvatest-configure-usb-whitelist

## [0.3.7] - 2018-04-04
### Changed
* fix variable problem in lvatest-configure-usb-whitelist

## [0.3.6] - 2018-03-26
### Added
+ usb whitelist infrastructure

### Changed
* rpm: polkit rules have perm 644 n

## [0.3.5] - 2018-03-23
### Changed
* fine tuned share/delay_mask.png
* sbin/lvatest-pre-rollout fixed symlink of config

## [0.3.4] - 2018-03-23
### Changed
* sbin/lvatest-pre-rollout now fetches img dir

## [0.3.3] - 2018-03-23
### Added
+ sbin/lvatest-pre-rollout applies watermark to lightdm background
+ rollout scripts generate default lightdm background if non found

## [0.3.2] - 2018-03-22
### Added
+ polkit rule against user shutdown

### Changed
* made sbin/lvatest-RESET-this-workstation less verbose 

## [0.3.1] - 2018-03-20
### Added
+ added sbin/lvatest-RESET-this-workstation

## [0.3.0] - 2018-03-15
### Changed
* converted all scripts to use bash-base
* sbin/lvatest-rollout now updates ssh pubkey if it changed since pre

## [0.2.11] - 2018-03-14
### Added
+ sbin/lvatest-collect-local which can do incremental backups

### Changed
* code cleanup, better shellcheck use

## [0.2.10] - 2018-01-22
### Changed
* sbin/lvatest-rollout ensures lightdm bg perm o+r

## [0.2.9] - 2018-01-19
### Changed
* fixed check_delay in lvatest-common.sh

## [0.2.8] - 2018-01-19
### Changed
* fixed lvatest_rsync in lvatest-common.sh

## [0.2.7] - 2018-01-19
### Changed
* ssh does not password auth anymore

## [0.2.6] - 2018-01-19
### Changed
* fixed and cleaned up delay mechanism

## [0.2.5] - 2018-01-19
### Changed
* fixed typo in sbin/lvatest-check-delay sbin/lvatest-rollout

## [0.2.4] - 2018-01-19
### Changed
* sbin/lvatest-check-delay does not reboot anymore

## [0.2.3] - 2018-01-18
### Added
+ sbin/lvatest-check-delay

## [0.2.2] - 2018-01-18
### Changed
* fixed reboot user paths

## [0.2.1] - 2018-01-18
### Changed
* moved lvatest-reboot from sbin to bin

## [0.2] - 2018-01-17
### Changed
* separated away client from server scripts into this project

## [0.1.2] - 2018-01-17
### Added
+ better logging for lvatest-common.sh:sync_config

### Changed
* renamed lvatest_common.sh to lvatest-common.sh
* fixed typo and wrong path

## [0.1.1] - 2018-01-17
### Added
+ generic hook called script sbin/lvatest-call-hook

### Changed
* moved config sync to common and call it at boottime, too

## [0.1] - 2018-01-16
### Added
+ First release: Extracted scripts from SUS level and modified paths
