<!-- -*- mode: markdown; mode: flyspell -*- -->

# ZKK LVATest-Env Client Scripts

Contains scripts used on clients during the LVATest-Env. The env is
installed by SUS level called "lvatest-testenv". Scripts moved to this
rpm to enable updates even after a host was rolled out.

Scripts are sorted in directories and all containing files will be
installed to the locations described below.

## sbin

Contains scripts used by lvatest-env internally. A detailed
documentation can be found in the ZKK Wiki.

## libexec

### `lvatest-common.sh`

Contains common functions used by multiple scripts. Must be sourced
not called. The following functions are defined:

```bash
# lvatest_rsync <arg1> [ <arg2> [..]]
# wrapper for rsync to log output
# rsync will be called with all args passed
# returns the result of rsync

```

```bash
# source_script <filename>
# returns the result of the script (its last command)
```
